#include <cstdio>
#include <cstdlib>
#include <vector>
using namespace std;

#define OUTPUT stdout

int main(int argc, char *argv[]) {
  if(argc != 3) {
    fprintf(OUTPUT, "usage: %s ours.in theirs.out\n", argv[0]);
    return 1;
  }
  FILE *in = fopen(argv[1], "r");
  if(in == NULL) {
    fprintf(OUTPUT, "can't open %s\n", argv[1]);
    return 1;
  }
  FILE *out = fopen(argv[2], "r");
  if(out == NULL) {
    fprintf(OUTPUT, "can't open %s\n", argv[2]);
    return 1;
  }
  int T;
  fscanf(in, "%d", &T);
  int easy = (T == 1000);
  vector<int> input(T+1), output(T+1);
  for(int i = 1; i <= T; i++) {
    fscanf(in, "%d", &input[i]);
    if(fscanf(out, "%d", &output[i]) != 1) {
      fprintf(OUTPUT, "Error reading answer #%d from output file\n", i);
      return 1;
    }
  }
  int c = fgetc(out);
  while(c <= ' ' && c != EOF) c = fgetc(out);
  if(c != EOF) {
    fprintf(OUTPUT, "Output file doesn't terminate after %d numbers\n", T);
    return 1;
  }
  for(int i = 1; i <= T; i++) {
    if(output[i] < 1 || output[i] > 1000000000) {
      // fprintf(OUTPUT, "WA: answer #%d is out of range\n", i);
      fprintf(OUTPUT,"Your answers are incorrect.\n");
      return 2;
    }
    if(output[i] == input[i]) {
      // fprintf(OUTPUT, "WA: answer #%d equals the input\n", i);
      fprintf(OUTPUT,"Your answers are incorrect.\n");
      return 2;
    }
    if(abs((int)(output[i] - input[i])) > 100) {
      // fprintf(OUTPUT, "WA: answer #%d differs from input too much\n", i);
      fprintf(OUTPUT,"Your answers are incorrect.\n");
      return 2;
    }
    if(!easy && output[i]%2 == i%2) {
      // fprintf(OUTPUT, "WA: answer #%d has incorrect parity\n", i);
      fprintf(OUTPUT,"Your answers are incorrect.\n");
      return 2;
    }
  }
  fprintf(OUTPUT, "OK\n");
  return 0;
}

